# PlayerGui

PlayerGui : `Instance`

## Overview

PlayerGui is a client-only container that is automatically created when a player joins the game. It is located under the Player instance within the Players service and serves as the location for running client-side scripts

When a player joins the game, all UI elements from the StarterGui service are copied into their PlayerGui once and only once.

The LocalScripts inside this container run on the client associated with that player.

Since UI elements are shown from PlayerGui, and not from StarterGui, you need to access PlayerGui, not StarterGui, to manage UI during gameplay as follows:

## Properties

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/playergui.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
